------------------------------------------------------------------------
--! @file SigPathDefines_defines.vhd
--! @brief <b>Package projekt defines and type definitions </b><p>
--!     defines adressbus
--! </p>
--! <p>
--! <b>Source:</b><p>
------------------------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;


package SigPathDefines is
 
    --! address bus width (i.e: ABW = 15 <=> 16 real address bus lines)
    CONSTANT ABW : integer range 0 to 20 := 11;

    --! data register width (i.e: DRW = 15 <=> 16 real bits data register width)
    CONSTANT DRW : integer range 0 to 20 := 15;

    --! maximum number of signal paths (i.e. BLOCK_SIZE = 47 --> SP_00 - SP47 are available)
    CONSTANT BLOCK_SIZE : integer range 1 to 64 := 48;

    
    subtype tSP_Bits is std_logic_vector(BLOCK_SIZE-1 downto 0);
    
    type tSP_Words is array (BLOCK_SIZE-1 downto 0) of std_logic_vector (DRW downto 0);

end SigPathDefines;

package body SigPathDefines is

end SigPathDefines;